@import "variables";

:host {
  display: block;
  width: 100%;
}

nz-card.ryax-action-details-card {
  border-radius: 8px;
  margin-bottom: 32px;
  overflow: hidden;

  ::ng-deep {
    > .ant-card-head {
      padding: 0;
    }

    > .ant-card-head-wrapper {
      align-items: flex-start;
    }

    .ant-card-head-title {
      padding: 0;
    }
  }

  .ryax-card-content {
    display: flex;
    align-items: center;
  }

  .ryax-card-title {
    font-size: 1.125rem;
    font-weight: bold;
    margin: 0;
    display: inline-block;
  }

  .ryax-card-version {
    font-size: 0.6875rem;
    color: $grey5;
    margin-left: 16px;
    display: inline-block;
  }

  .ryax-card-description {
    font-size: 0.8125rem;
    color: $grey7;
    white-space: normal;
    margin: 0 40px 0 0;
  }

  .ryax-module-icon {
    margin-right: 16px;
    position: relative;

    &::after {
      box-shadow: inset 0 0 5px $grey4;
      pointer-events: none;
      content: '';
      display: block;
      height: 100%;
      position: absolute;
      top: 0;
      width: 100%;
    }

    img {
      min-height: 72px;
      width: 72px;
    }
  }

  .ryax-details {
    margin-right: 20px;
  }
}

nz-collapse {
  width: 100%;
}

nz-collapse-panel:not(.ryax-logs)::ng-deep {
  width: 100%;

  > .ant-collapse-header {
    display: none;
  }

  .ant-collapse-content > .ant-collapse-content-box {
    padding: 0;
  }
}
